<template>
  <Events :label="title" />
</template>

<script>
import Events from '@/components/Events.vue';
import { mapGetters } from 'vuex';
import { useRoute } from 'vue-router';

export default {
  components: {
    Events
  },
  data() {
    return {
      mason_name: ''
    }
  },
  computed: {
    ...mapGetters(['getMason']),
    title() {
      return "All events of mason under name " + this.mason_name
    }
  },
  mounted() {
    debugger
    const mason_id = useRoute().params.id
    this.mason_name = this.getMason(mason_id).name
  }
}


</script>